import sys
def main():
	#print(sys.argv, len(sys.argv))
	option=''
	if len(sys.argv) == 2 and sys.argv[1] == "4":
		print("4) Synchronize new links from existing webring participants into your unverified.csv file")
	elif len(sys.argv) == 2 and sys.argv[1] == "9":
		print("remove duplicate urls from instance")
	elif len(sys.argv) == 2 and sys.argv[1] == "10":
		print("Perform sanity checks on all csv files for all instances")
	else:
		print("""
[+] Welcome to your own Darknet Lantern Instance, where you can explore the Darknet and help others do the same.

Managing Websites:
 1) Add a new Website entry (into unverified.csv)
 2) Trust a Website entry (move an entry from unverified to verified.csv)
 3) Untrust a Website entry (move an entry from unverified to verified.csv)

Managing Webring Participants:
 4) Synchronize new links from existing webring participants, into your unverified.csv file
 5) Add a new webring participant (and download their files into their directory (without trusting them yet!))
 6) Trust/UnTrust/Blacklist a webring participant (Potentially dangerous)

Managing Wordlists:
 7) Add/Remove Words/URLs in the sensitive list (ex: drug)
 8) Add/Remove Words/URLs or links in the blacklist (ex: porn)

Maintenance:
 9) Remove the duplicate URLs for your own instance
 10) Perform sanity checks on all csv files for all instances (to mark them as sensitive / or remove the ones that are blacklisted)

 0) Exit
		""")
		option = input("Select an option? (0-10): ").strip()




		
		


if __name__ == '__main__':
	main()
